<?php

 /*
  * To change this license header, choose License Headers in Project Properties.
  * To change this template file, choose Tools | Templates
  * and open the template in the editor.
  */

 /**
  * Description of User
  *
  * @author Developer
  */
 class Config extends MY_Model
 {

     public function __construct()
     {
         parent::__construct();
         $this->load->database();
         $this->_table      = 'evi01general';
         $this->primary_key = 'ID_GENERAL';
     }

     /**
      * Para editar el campo de una tabla. 
      * 
      * @param type @table Tabla
      * @param type @table_id Id a editar
      * @param type @id Id primaria
      * @param type $data datos
      * @return boolean
      */
     public function edit($id, $data)
     {
         $this->db->where($this->primary_key, $id);
         if ($this->db->update($this->_table, $data)):
             return true;
         else:
             return false;
         endif;
     }

     public function get_datos_load_session()
     {
         $this->db->select('BOL_VALLIS');
         return $this->get_row();
     }

     public function get_tiempo_bloqueo()
{
    $this->db->select('NUM_BLOQ_TEMPO');
    $result = $this->get_row(); // Usa el método existente para obtener la fila de configuración.
    
    // Devuelve el tiempo configurado o 0 si no está configurado.
    return isset($result->NUM_BLOQ_TEMPO) ? (int)$result->NUM_BLOQ_TEMPO : 0;
}


 }
 